using adas_core.Domain.Utils;

namespace adas_core.Domain.Models.Observations;

public class DoubleObservation : Observation
{
    public double? Value { get; set; }
    public double? LastValue { get; set; }

    public static DoubleObservation? From(List<PatientObservation> obs)
    {
        if (obs.Count > 0)
        {
            var val = new DoubleObservation
            {
                Value = obs[0].Value.ToDouble()
            };
            if (obs.Count > 1) val.LastValue = obs[1].Value.ToDouble();
            return val;
        }

        return null;
    }
}